GNU bug report logs - #29733
Add virtaal (translation app)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Mark Meyer <mark@HIDDEN>; Keywords: patch; dated Sat, 16 Dec 2017 10:11:01 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Added tag(s) patch. Request was from Christopher Baines <mail@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 14 Mar 2018 13:12:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 14 09:12:48 2018
Received: from localhost ([127.0.0.1]:60518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ew6D2-0002wI-Fy
	for submit <at> debbugs.gnu.org; Wed, 14 Mar 2018 09:12:48 -0400
Received: from mail-lf0-f52.google.com ([209.85.215.52]:38428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1ew6D0-0002vz-G4
 for 29733 <at> debbugs.gnu.org; Wed, 14 Mar 2018 09:12:46 -0400
Received: by mail-lf0-f52.google.com with SMTP id y2-v6so2590457lfc.5
 for <29733 <at> debbugs.gnu.org>; Wed, 14 Mar 2018 06:12:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=0/G32S9Wva9VX9UeTwRBjGf7GL5ypYT0f7Uq/uSQOcQ=;
 b=Cd5DQHNZ32HBed/Fm6aRAfKeurjPXB9Lhi8XULNEe7tefMoKcJT/O6x1st/OTpe9e0
 S9ZesAyE0yXe9iSIRS7zZhTsaK+3CUMo4Aqv0qNhr1fPzhTOqDdSnj4DE5l8pHkNCvyW
 tjv+ZTX0F/XcOnbqhdO2yeJtqQzlviFTq6gJ9m6Z7qzHDUA5AFaQJ7x0YRtd0HxXveZT
 ViZILgaPrktl/2AuEPhy98DyYg0oDC5e4dqgiw6ZQ0YV6CpVGwdbSIX9HJHY32crsbk/
 WLcetl4tSgrxKbSmiTDPYnZuRi0hd8U2eq2CWyDiOAtcXM0SvQqEgRvsgUyWJZQ0Qawp
 /eTg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=0/G32S9Wva9VX9UeTwRBjGf7GL5ypYT0f7Uq/uSQOcQ=;
 b=qEEYO277PsIH1a0+jB6dmowiNJRbrYllj+FK6SaNiIxNAAxSrBMwFKCQ3eNW9lszDA
 2qLEWFUnTWKFnNhIHbJUd2GDUYfbC/qE3tvjQzaDH7l6KeaXrxln3HXMZXw53ro42UtG
 lRJGaQV5nVsAoKafA9oS7wGbanzgGbx+4HjDABb41CYywewTZMlAX9czqnuxbXRDH0tj
 HI74ZxMM4FlfVRrHfc94Gdz0uvX5VMKsGERn1gEa6AtAD7SBXYU+6b6PMOC+jamujaBs
 CmltimOXqIMOjBWlJXKIE8aDyE62eyO6gknoZlV8P1ix4iBZmFGr0HY9OHoBC4NfisFs
 wmXw==
X-Gm-Message-State: AElRT7Hb68KAH9gWG5oMMKhZZrxnDf0A5Ph9HACZnaMgobY3dsD9Z6rP
 /knTmx78PGlrFO6uMzMo0Y8MHg==
X-Google-Smtp-Source: AG47ELsq5iSIyiZ4mPrVg5noOQiUQtyN7StwjYUfkn+qcm7PKBwZRildtR6I4SRHUb0olWr7PzU/sw==
X-Received: by 10.46.50.3 with SMTP id y3mr3233320ljy.90.1521033159943;
 Wed, 14 Mar 2018 06:12:39 -0700 (PDT)
Received: from magnolia ([178.71.76.78])
 by smtp.gmail.com with ESMTPSA id d73-v6sm628394lfl.77.2018.03.14.06.12.38
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 14 Mar 2018 06:12:38 -0700 (PDT)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: Mark Meyer <mark@HIDDEN>
Subject: Re: [bug#29733] Add virtaal (translation app)
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
 <87ind6x585.fsf@HIDDEN> <87tvtsrnpv.fsf@HIDDEN>
 <1520452704.1968021.1295172880.5FB477E6@HIDDEN>
 <87d10fr47y.fsf@HIDDEN>
 <1520707261.2584486.1298499248.0F517F2B@HIDDEN>
Date: Wed, 14 Mar 2018 16:12:35 +0300
In-Reply-To: <1520707261.2584486.1298499248.0F517F2B@HIDDEN>
 (Mark Meyer's message of "Sat, 10 Mar 2018 19:41:01 +0100")
Message-ID: <87efkmvm0s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29733
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

--=-=-=
Content-Type: text/plain

Hello Mark,

Mark Meyer <mark@HIDDEN> writes:

> Apparently we still don't have HTTP2 in curl. guix-patches 29738 was
> opened for this. I think I will need to disable some test, will report
> back tomorrow.

It seems that cURL with HTTP2 is ready and waits to push to
core-updates.  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=29738#35

Maybe ping Tobias in 29738 to push his patch?

Oleg.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEc+OyAXw1EaDPCmAPckbhHGm3lWkFAlqpH8MACgkQckbhHGm3
lWkz/g/9EMZnx3fQMepDyJZOqrNHWGzysEl26z1O7VALtLXJl6BSajXN3cTiPfBa
vjavT15GrBjB88/e5Y11wkqxVc7lwICX7PxXnltP6eIhl3VfOTuk4oFKdPAycQ8/
lIrySjrORhWWeVgECf37Bl8vHQ1uAPZsyNvmdHlqy1XjiCbUk9jJ9wq+QbKAYsCb
BYs9kvpirIy2KS1rHjdim4Q7yypKL7Dleh40cGmt/TAHV2lWksfoqKRlPysfSTmv
PZ1XnoPYmmKAQysTt1gN0Y+xcGuxjV0eAq6DvO2gGwAWz4HAhGdwv40wXZiHy1fj
WW/s2trcBdsSpMJi3KvSou8fNhoJoJE/FefLZIA1z6h/SaWa164Ot8FnIEpdiUCq
HXM6MXmcWth2hQ4tbL5HkhYTUKyhrdrZhB7zceSmetdAfTkeBJWFTPLtDutoClmb
/eXkkK3ncMlHrq1qnQLrd7ar9NppcKQRBQ68Ago/ciq8Nsr3KnA5doG0bFdWTdg9
jUj+I3c4ubphVzU+VGPL7s19geeCuwJbjZ8IVVRjRgsuIACD/8r8lQzFoDfsvmp9
6EU1EXa/pfLPmG0Bg1KW4Ive0eqA0EySqWHdQJhuhXYi+9aWPzSLAeV4SxeR2OLd
qsu+zFhExJo8pO5HyvhQ7DmOs4a7ywdtCNbis4RUpfK7iM815vM=
=010+
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 10 Mar 2018 18:41:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 10 13:41:04 2018
Received: from localhost ([127.0.0.1]:54498 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eujQW-0000uL-HN
	for submit <at> debbugs.gnu.org; Sat, 10 Mar 2018 13:41:04 -0500
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:53065)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1eujQU-0000uD-Nj
 for 29733 <at> debbugs.gnu.org; Sat, 10 Mar 2018 13:41:03 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 0DB2121A04;
 Sat, 10 Mar 2018 13:41:02 -0500 (EST)
Received: from web6 ([10.202.2.216])
 by compute3.internal (MEProxy); Sat, 10 Mar 2018 13:41:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ofosos.org; h=cc
 :content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=mesmtp; bh=YBCZQQIoLyi9KLiTBjkZVj1nYd
 f0f4qSHr5qqgNpAS0=; b=pUue327TOBUT//h3Z30LaIFIRrz7irF7dr/Fg5lND5
 JpyeSr3YQHZKiCBqFkH5jZk540kS1cJQM/U9gqWXq/SQkVpgCj644XwOsadz6/qt
 Tclc/aJSpKt2Kw9v7Xd0iqyLL7LAYnReL3y5jYqzfXI0bzYQYrdqxtufJqxs/C+L
 E=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=YBCZQQ
 IoLyi9KLiTBjkZVj1nYdf0f4qSHr5qqgNpAS0=; b=ieUJgpqGQ37GfTGGu2kLK2
 Se5QscclU+ixOtkBGPgo+CP5mOe4f1NaR7HqhDzETXFp3Yh/xj1Zq2bSgtpPIz+F
 SATBx2jlgdBdrlhE6lie9d6adnkmLxg4ykLBVdt9H1ywOeHmD8S6OP5NIJ58ihiL
 EbywsyOpF7sglFKb7Kvoax6WK9g3lKck+L7QHU7+I3hdvZAZy+0vNqPb0uiEu3bT
 HAkLoo7KQyslKHenmUPyFe6IlZrf45JoflkG82g3i4UC5wM7guzgIsKtunJ8qyoC
 +UJF4QMB4/Pn7VnAKwNpZRYA/KBrJlpkfzORDGwhWmjh5in3EykvkUJyBKHqn2tw
 ==
X-ME-Sender: <xms:vSakWqNlNhT3e0WoYjpLmOeDMHz2oKyAV6mWqveUyvLWachesJBouw>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id DB44F40F8; Sat, 10 Mar 2018 13:41:01 -0500 (EST)
Message-Id: <1520707261.2584486.1298499248.0F517F2B@HIDDEN>
From: Mark Meyer <mark@HIDDEN>
To: =?utf-8?Q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-54087d22
Subject: Re: [bug#29733] Add virtaal (translation app)
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
 <87ind6x585.fsf@HIDDEN> <87tvtsrnpv.fsf@HIDDEN>
 <1520452704.1968021.1295172880.5FB477E6@HIDDEN>
 <87d10fr47y.fsf@HIDDEN>
Date: Sat, 10 Mar 2018 19:41:01 +0100
In-Reply-To: <87d10fr47y.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29733
Cc: Oleg Pykhalov <go.wigust@HIDDEN>, 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Moin Ludo,
apparently we still don't have HTTP2 in curl. guix-patches 29738 was opened=
 for this. I think I will need to disable some test, will report back tomor=
row.

Cheers, Mark

On Wed, Mar 7, 2018, at 22:00, Ludovic Court=C3=A8s wrote:
> Heya Mark,
>=20
> Mark Meyer <mark@HIDDEN> skribis:
>=20
> > IIRC the test required a pycurl package, which in turn depends on nghtt=
p. But nghttp has been merged, maybe we can finish this now. I'll have a lo=
ok tomorrow.
>=20
> Awesome, let us know if anything goes wrong.
>=20
> Thanks,
> Ludo=E2=80=99.


--=20
  Mark Meyer
  mark@HIDDEN




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 7 Mar 2018 21:00:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 07 16:00:32 2018
Received: from localhost ([127.0.0.1]:49870 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1etgAq-0001B9-0C
	for submit <at> debbugs.gnu.org; Wed, 07 Mar 2018 16:00:32 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:47890)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1etgAn-0001B0-9w
 for 29733 <at> debbugs.gnu.org; Wed, 07 Mar 2018 16:00:30 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 00FEB11FBD;
 Wed,  7 Mar 2018 22:00:28 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id XeshA_zrdnOl; Wed,  7 Mar 2018 22:00:27 +0100 (CET)
Received: from ribbon (vpn-0-27.aquilenet.fr [IPv6:2a0c:e300:4:27::])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id ABADB113D9;
 Wed,  7 Mar 2018 22:00:26 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Mark Meyer <mark@HIDDEN>
Subject: Re: [bug#29733] Add virtaal (translation app)
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
 <87ind6x585.fsf@HIDDEN> <87tvtsrnpv.fsf@HIDDEN>
 <1520452704.1968021.1295172880.5FB477E6@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 =?utf-8?Q?Vent=C3=B4se?= an 226 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 07 Mar 2018 22:00:17 +0100
In-Reply-To: <1520452704.1968021.1295172880.5FB477E6@HIDDEN>
 (Mark Meyer's message of "Wed, 07 Mar 2018 20:58:24 +0100")
Message-ID: <87d10fr47y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29733
Cc: Oleg Pykhalov <go.wigust@HIDDEN>, 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Heya Mark,

Mark Meyer <mark@HIDDEN> skribis:

> IIRC the test required a pycurl package, which in turn depends on nghttp.=
 But nghttp has been merged, maybe we can finish this now. I'll have a look=
 tomorrow.

Awesome, let us know if anything goes wrong.

Thanks,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 7 Mar 2018 19:58:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 07 14:58:32 2018
Received: from localhost ([127.0.0.1]:49849 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1etfCk-0007fR-J6
	for submit <at> debbugs.gnu.org; Wed, 07 Mar 2018 14:58:31 -0500
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:57301)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1etfCj-0007fI-5Z
 for 29733 <at> debbugs.gnu.org; Wed, 07 Mar 2018 14:58:25 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 643B420A72;
 Wed,  7 Mar 2018 14:58:24 -0500 (EST)
Received: from web1 ([10.202.2.211])
 by compute3.internal (MEProxy); Wed, 07 Mar 2018 14:58:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ofosos.org; h=cc
 :content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=mesmtp; bh=TQELyK55HCRwbwTHYfk5UTED56
 Y0XS0WDdB17/CFFis=; b=DHxmc3ot4A+fuzijTPKzQ8ESl2UXGMdyVKHDW2TUp0
 QdmhyVMqOtYOr4BaTiGORN7p5xbu/YKRLTEyoDMOjhW9CeUNdlNkgKDGT0Jo7wmN
 /YNlb7dVWX7b/64rNlcQBv6oFoHg9pGYaLR+0LDRbSGFVsLfXfTsfDFseqj1ei/Y
 c=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=TQELyK
 55HCRwbwTHYfk5UTED56Y0XS0WDdB17/CFFis=; b=Eq3JYCGZAOwPDTbAdRA3iC
 5WozywHkU0aChiurEHgS9y6LH3EANYrm6t0t2U0zmWWqyUDNR2Jev81+Gqvh+sIM
 UjBVTvo5HHK9LftN2OfgD0ejZxpJl2fRNIqLD/W4iWuX0NnqNOztEhqurUFB3d3n
 ym/szmmTVnXNtEi25C7EfsJsQw7nk5YQpIHTS6BiOZQD0Mc5FA7KBj9lC2Y2sAlp
 8HrNwmVqEhWawnG7dvDfvvNZcgOgfAlSolEx80OZ/cD3WSbOz63zTJlhxxqR9dAF
 bR3QWXfZLHgryH6vAAdc79Zdmlmp5eAsEwfgO9L1q86wZspezRBSW7qGUklvnVAw
 ==
X-ME-Sender: <xms:YESgWp1T13DGCvp0m8YS0ywR87Xq_2jO1s9gmYqinDM7FyT0UBwqLg>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 403C2940E4; Wed,  7 Mar 2018 14:58:24 -0500 (EST)
Message-Id: <1520452704.1968021.1295172880.5FB477E6@HIDDEN>
From: Mark Meyer <mark@HIDDEN>
To: =?utf-8?Q?Ludovic=20Court=C3=A8s?= <ludo@HIDDEN>,
 Oleg Pykhalov <go.wigust@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-54087d22
In-Reply-To: <87tvtsrnpv.fsf@HIDDEN>
Date: Wed, 07 Mar 2018 20:58:24 +0100
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
 <87ind6x585.fsf@HIDDEN> <87tvtsrnpv.fsf@HIDDEN>
Subject: Re: [bug#29733] Add virtaal (translation app)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 29733
Cc: 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi Ludo, Hi Oleg,
IIRC the test required a pycurl package, which in turn depends on nghttp. B=
ut nghttp has been merged, maybe we can finish this now. I'll have a look t=
omorrow.

Best, Mark

On Wed, Mar 7, 2018, at 14:59, Ludovic Court=C3=A8s wrote:
> Hello Mark & Oleg,
>=20
> In an attempt to make progress (it=E2=80=99s been 3 months already :-)), I
> pushed the first two patches, taking Oleg=E2=80=99s comments into account:
>=20
>   30e43e816 * gnu: python2-gobject@2: Update to 2.28.7
>   eaa8292e4 * gnu: Add python-pycurl.
>=20
> Mark, can you take a look at Oleg=E2=80=99s suggestions below?  We=E2=80=
=99re almost
> there!
>=20
> Thanks in advance,
> Ludo=E2=80=99.
>=20
> Oleg Pykhalov <go.wigust@HIDDEN> skribis:
>=20
> >> From c36fde0cfda0d5f9830876abbff804504004451d Mon Sep 17 00:00:00 2001
> >> From: Mark Meyer <mark@HIDDEN>
> >> Date: Fri, 15 Dec 2017 12:35:38 +0100
> >> Subject: [PATCH] gnu: Add virtaal.
> >>
> >> * gnu/packages/text-editors.scm (virtaal): New public variable.
> >> ---
> >>  gnu/packages/text-editors.scm | 33 +++++++++++++++++++++++++++++++++
> >>  1 file changed, 33 insertions(+)
> >>
> >> diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors=
.scm
> >> index 44b42ce9b..773000ff4 100644
> >> --- a/gnu/packages/text-editors.scm
> >> +++ b/gnu/packages/text-editors.scm
> >> @@ -6,6 +6,7 @@
> >>  ;;; Copyright  2017 ng0 <ng0@HIDDEN>
> >>  ;;; Copyright  2014 Taylan Ulrich Bayrl/Kammer <taylanbayirli@HIDDEN=
rg>
> >>  ;;; Copyright  2017 Tobias Geerinckx-Rice <me@HIDDEN>
> >> +;;; Copyright  2017 Mark Meyer <mark@HIDDEN>
> >>  ;;;
> >>  ;;; This file is part of GNU Guix.
> >>  ;;;
> >> @@ -29,6 +30,7 @@
> >>    #:use-module (guix utils)
> >>    #:use-module (guix build-system gnu)
> >>    #:use-module (guix build-system glib-or-gtk)
> >> +  #:use-module (guix build-system python)
> >>    #:use-module ((guix licenses) #:prefix license:)
> >>    #:use-module (gnu packages)
> >>    #:use-module (gnu packages assembly)
> >> @@ -41,11 +43,42 @@
> >>    #:use-module (gnu packages lua)
> >>    #:use-module (gnu packages ncurses)
> >>    #:use-module (gnu packages pkg-config)
> >> +  #:use-module (gnu packages python)
> >> +  #:use-module (gnu packages python-web)
> >>    #:use-module (gnu packages regex)
> >>    #:use-module (gnu packages ruby)
> >>    #:use-module (gnu packages terminals)
> >>    #:use-module (gnu packages xml))
> >>=20=20
> >> +(define-public virtaal
> >> +  (package
> >> +    (name "virtaal")
> >> +    (version "0.7.1")
> >> +    (source (origin
> >> +              (method url-fetch)
> >> +              (uri (string-append "mirror://sourceforge/translate/Vir=
taal/"
> >> +                                  version "/virtaal-" version ".tar.b=
z2"))
> >> +              (sha256
> >> +               (base32
> >> +                "0cyimjp3191qlmw6n0ipqdr9xr0cq4f6dqvz4rl9q31h6l3kywf9=
"))))
> >> +    (build-system python-build-system)
> >> +    (arguments
> >> +     `(#:python ,python-2
> >> +       #:use-setuptools? #f
> >> +       #:tests? #f))
> >
> > Could you check tests in virtaal-0.7.1/virtaal/test/ please?
> >
> >> +    (propagated-inputs
> >> +     `(("python2-pycurl" ,python2-pycurl)
> >> +       ("python2-pygtk" ,python2-pygtk)
> >> +       ("python2-lxml" ,python2-lxml)
> >> +       ("python2-translate-toolkit" ,python2-translate-toolkit)
> >> +       ("python2-simplejson" ,python2-simplejson)))
> >> +    (synopsis "An editor for translation files")
> >
> > gnu/packages/text-editors.scm:75:14: virtaal@HIDDEN: no article allowed =
at the beginning of the synopsis
> >
> >> +    (description
> >> +     "Virtaal, a feature rich translation tool that allows you to foc=
us on
> >> +translation, without the tool getting in the way.")
> >> +    (home-page "http://virtaal.translatehouse.org/")
> >> +    (license license:gpl2)))
> >> +
> >>  (define-public vis
> >>    (package
> >>      (name "vis")
> >
> > Could't be it builded With Python 3?  I see in
> > <https://github.com/translate/virtaal/blob/master/.travis.yml> that they
> > use only python 2.7 and 2.7, but still?
> >
> > Thanks,
> > Oleg.


--=20
  Mark Meyer
  mark@HIDDEN




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 7 Mar 2018 13:59:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 07 08:59:32 2018
Received: from localhost ([127.0.0.1]:48588 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1etZbK-0004a5-Ah
	for submit <at> debbugs.gnu.org; Wed, 07 Mar 2018 08:59:32 -0500
Received: from hera.aquilenet.fr ([185.233.100.1]:45364)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1etZbI-0004Zt-78
 for 29733 <at> debbugs.gnu.org; Wed, 07 Mar 2018 08:59:24 -0500
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id 15BD511F25;
 Wed,  7 Mar 2018 14:59:23 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id dxwkCCZjKrTr; Wed,  7 Mar 2018 14:59:17 +0100 (CET)
Received: from ribbon (vpn-0-27.aquilenet.fr [IPv6:2a0c:e300:4:27::])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id 0F5A3114EB;
 Wed,  7 Mar 2018 14:59:17 +0100 (CET)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Oleg Pykhalov <go.wigust@HIDDEN>
Subject: Re: [bug#29733] Add virtaal (translation app)
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
 <87ind6x585.fsf@HIDDEN>
Date: Wed, 07 Mar 2018 14:59:08 +0100
In-Reply-To: <87ind6x585.fsf@HIDDEN> (Oleg Pykhalov's message of "Sat, 16
 Dec 2017 14:49:30 +0300")
Message-ID: <87tvtsrnpv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 29733
Cc: Mark Meyer <mark@HIDDEN>, 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

Hello Mark & Oleg,

In an attempt to make progress (it=E2=80=99s been 3 months already :-)), I
pushed the first two patches, taking Oleg=E2=80=99s comments into account:

  30e43e816 * gnu: python2-gobject@2: Update to 2.28.7
  eaa8292e4 * gnu: Add python-pycurl.

Mark, can you take a look at Oleg=E2=80=99s suggestions below?  We=E2=80=99=
re almost
there!

Thanks in advance,
Ludo=E2=80=99.

Oleg Pykhalov <go.wigust@HIDDEN> skribis:

>> From c36fde0cfda0d5f9830876abbff804504004451d Mon Sep 17 00:00:00 2001
>> From: Mark Meyer <mark@HIDDEN>
>> Date: Fri, 15 Dec 2017 12:35:38 +0100
>> Subject: [PATCH] gnu: Add virtaal.
>>
>> * gnu/packages/text-editors.scm (virtaal): New public variable.
>> ---
>>  gnu/packages/text-editors.scm | 33 +++++++++++++++++++++++++++++++++
>>  1 file changed, 33 insertions(+)
>>
>> diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.s=
cm
>> index 44b42ce9b..773000ff4 100644
>> --- a/gnu/packages/text-editors.scm
>> +++ b/gnu/packages/text-editors.scm
>> @@ -6,6 +6,7 @@
>>  ;;; Copyright  2017 ng0 <ng0@HIDDEN>
>>  ;;; Copyright  2014 Taylan Ulrich Bayrl/Kammer <taylanbayirli@HIDDEN>
>>  ;;; Copyright  2017 Tobias Geerinckx-Rice <me@HIDDEN>
>> +;;; Copyright  2017 Mark Meyer <mark@HIDDEN>
>>  ;;;
>>  ;;; This file is part of GNU Guix.
>>  ;;;
>> @@ -29,6 +30,7 @@
>>    #:use-module (guix utils)
>>    #:use-module (guix build-system gnu)
>>    #:use-module (guix build-system glib-or-gtk)
>> +  #:use-module (guix build-system python)
>>    #:use-module ((guix licenses) #:prefix license:)
>>    #:use-module (gnu packages)
>>    #:use-module (gnu packages assembly)
>> @@ -41,11 +43,42 @@
>>    #:use-module (gnu packages lua)
>>    #:use-module (gnu packages ncurses)
>>    #:use-module (gnu packages pkg-config)
>> +  #:use-module (gnu packages python)
>> +  #:use-module (gnu packages python-web)
>>    #:use-module (gnu packages regex)
>>    #:use-module (gnu packages ruby)
>>    #:use-module (gnu packages terminals)
>>    #:use-module (gnu packages xml))
>>=20=20
>> +(define-public virtaal
>> +  (package
>> +    (name "virtaal")
>> +    (version "0.7.1")
>> +    (source (origin
>> +              (method url-fetch)
>> +              (uri (string-append "mirror://sourceforge/translate/Virta=
al/"
>> +                                  version "/virtaal-" version ".tar.bz2=
"))
>> +              (sha256
>> +               (base32
>> +                "0cyimjp3191qlmw6n0ipqdr9xr0cq4f6dqvz4rl9q31h6l3kywf9")=
)))
>> +    (build-system python-build-system)
>> +    (arguments
>> +     `(#:python ,python-2
>> +       #:use-setuptools? #f
>> +       #:tests? #f))
>
> Could you check tests in virtaal-0.7.1/virtaal/test/ please?
>
>> +    (propagated-inputs
>> +     `(("python2-pycurl" ,python2-pycurl)
>> +       ("python2-pygtk" ,python2-pygtk)
>> +       ("python2-lxml" ,python2-lxml)
>> +       ("python2-translate-toolkit" ,python2-translate-toolkit)
>> +       ("python2-simplejson" ,python2-simplejson)))
>> +    (synopsis "An editor for translation files")
>
> gnu/packages/text-editors.scm:75:14: virtaal@HIDDEN: no article allowed at=
 the beginning of the synopsis
>
>> +    (description
>> +     "Virtaal, a feature rich translation tool that allows you to focus=
 on
>> +translation, without the tool getting in the way.")
>> +    (home-page "http://virtaal.translatehouse.org/")
>> +    (license license:gpl2)))
>> +
>>  (define-public vis
>>    (package
>>      (name "vis")
>
> Could't be it builded With Python 3?  I see in
> <https://github.com/translate/virtaal/blob/master/.travis.yml> that they
> use only python 2.7 and 2.7, but still?
>
> Thanks,
> Oleg.




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at 29733 <at> debbugs.gnu.org:


Received: (at 29733) by debbugs.gnu.org; 16 Dec 2017 11:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 16 06:50:33 2017
Received: from localhost ([127.0.0.1]:36476 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eQAz2-000359-E4
	for submit <at> debbugs.gnu.org; Sat, 16 Dec 2017 06:50:33 -0500
Received: from mail-lf0-f44.google.com ([209.85.215.44]:35243)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <go.wigust@HIDDEN>) id 1eQAyz-00034w-SU
 for 29733 <at> debbugs.gnu.org; Sat, 16 Dec 2017 06:50:22 -0500
Received: by mail-lf0-f44.google.com with SMTP id j124so13119315lfg.2
 for <29733 <at> debbugs.gnu.org>; Sat, 16 Dec 2017 03:50:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=UVljzoWeaQbcN4ns2gbNrN47HTaFGqb03IO36UBFd4M=;
 b=Yfyhb3c1q1DgDpHLFPhSGHOF/e9S31e79sGXwODrppfTuDnWdGyDiKM89N2CZdm54b
 wq2JFl2yyEwdTPm5OFYA3Hw2LKdYrFQnyi8UNiaej27viguYCoqKJLd2asZPt5Gf/Ao4
 cGbd6zHl19DWsVD4JKCTPQZUFbWYsOh/4XWSQGhu3WiqZECchlsGsNKHIv9wfqeFyYuu
 2OH2V7qoB4p6pvgMyyY9+RLn1U9/uWsurAVe82wgOfkYzlOzpbnOswlZQJsJFqVh/+2U
 8TismL/n6wbWYbo0aX3/MTUrEkTbdz2SbDQmf+GUYs32Eu0nJyYwpycmjn55jvMHTPqs
 0Nyg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=UVljzoWeaQbcN4ns2gbNrN47HTaFGqb03IO36UBFd4M=;
 b=SKlLWQSuvLWHkpih0K+j7vc5nvlPHSCc4NkXe42PIxgppXXwFTYn53GJdy20mMmj+D
 a4toWrkNWSrc7BS3b1zaNcuIG4oPJt2lmaiT8L01MsqInWeyoHE2kQ+h1A4Mzk1ymCg+
 cKBgoR5e7sKtr9uJL1e9MuchcA8ntEjyhan0F0si8CU7vb0WfORpWOn3JLglfhi2AyFJ
 XRNnEg/G1hwhwrFuumvpStuX76KVwI3lemSyJNcR5gIvUp41wiZr9LWVNom8rNPS7oxA
 CQ8v4NhqRO1Rj3Fh1wVtWTo0kGV7sVERRtrz70ETjQCCTiQDTuAWvQSiYB2Dxw8721Ck
 iqSg==
X-Gm-Message-State: AKGB3mKan+rhi8dDbWQJs1Zk1vRQGsGlwy075bi+A4Rdr6+ClknkxrF+
 197LDFjb0cPrMbgEiRqfPoy/+g==
X-Google-Smtp-Source: ACJfBoutO0hUbELeM0yD5j0JGp5704KTRErfH2lrWfvvBBP1iPcvoZbxDXxj60JeP5PGZ9N7RMvCPw==
X-Received: by 10.25.202.24 with SMTP id a24mr7777195lfg.11.1513425015419;
 Sat, 16 Dec 2017 03:50:15 -0800 (PST)
Received: from magnolia ([178.71.30.194])
 by smtp.gmail.com with ESMTPSA id q24sm1659305lja.9.2017.12.16.03.50.14
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sat, 16 Dec 2017 03:50:14 -0800 (PST)
From: Oleg Pykhalov <go.wigust@HIDDEN>
To: Mark Meyer <mark@HIDDEN>
Subject: Re: [bug#29733] Add virtaal (translation app)
In-Reply-To: <1513418996.2275632.1206998744.71939143@HIDDEN>
 (Mark Meyer's message of "Sat, 16 Dec 2017 11:09:56 +0100")
References: <1513418996.2275632.1206998744.71939143@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
Date: Sat, 16 Dec 2017 14:49:30 +0300
Message-ID: <87ind6x585.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 29733
Cc: 29733 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hello Mark,

This is an amazing program!  Thank you for packaging this!

But I see some issues which need to be solved before merging if you
could do it, please.  Ask questions if you need here or on on any Guix
provided resources <https://www.gnu.org/software/guix/help/>.

Mark Meyer <mark@HIDDEN> writes:

> I just wanted to quickly have someone look over the following changes:
>
>   - Add python2-pycurl adds pycurl (it's Py2 only)
>   - Update python2-gobject-2 to 2.28.7 (the most recent, patch still
>   seems to apply
>
>     This update pulls in a lot of changes that were present in
>     distrubutions for a long time
>
>   - Add virtaal
>
>     This just adds virtaal with proper dependencies.
>
> From 6b2b028d4500a535faa3442daa0c228f9c98b93f Mon Sep 17 00:00:00 2001
> From: Mark Meyer <mark@HIDDEN>
> Date: Fri, 15 Dec 2017 10:09:28 +0100
> Subject: [PATCH] gnu: Add python2-pycurl.
>
> * gnu/packages/python-web.scm (python2-pycurl): New public variable.
> ---
>  gnu/packages/python-web.scm | 27 +++++++++++++++++++++++++++
>  1 file changed, 27 insertions(+)
>
> diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
> index 12e45b2ef..502834bdc 100644
> --- a/gnu/packages/python-web.scm
> +++ b/gnu/packages/python-web.scm
> @@ -22,6 +22,7 @@
>  ;;; Copyright  2016 David Craven <david@HIDDEN>
>  ;;; Copyright  2017 Oleg Pykhalov <go.wigust@HIDDEN>
>  ;;; Copyright  2015, 2016 David Thompson <davet@HIDDEN>
> +;;; Copyright  2017 Mark Meyer <mark@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -45,11 +46,13 @@
>    #:use-module (gnu packages)
>    #:use-module (gnu packages check)
>    #:use-module (gnu packages compression)
> +  #:use-module (gnu packages curl)
>    #:use-module (gnu packages databases)
>    #:use-module (gnu packages django)
>    #:use-module (gnu packages pkg-config)
>    #:use-module (gnu packages python)
>    #:use-module (gnu packages python-crypto)
> +  #:use-module (gnu packages tls)
>    #:use-module (gnu packages time)
>    #:use-module (gnu packages xml)
>    #:use-module ((guix licenses) #:prefix license:)
> @@ -238,6 +241,30 @@ C, yielding parse times that can be a thirtieth of t=
he html5lib parse times.")
>  (define-public python2-html5-parser
>    (package-with-python2 python-html5-parser))
>=20=20
> +(define-public python2-pycurl
> +  (package
> +    (name "python2-pycurl")
> +    (version "7.43.0.1")
> +    (source
> +     (origin
> +       (method url-fetch)
> +       (uri (string-append "https://dl.bintray.com/pycurl/pycurl/pycurl-=
" version ".tar.gz"))

Please, use guix lint before sending patches.

./pre-inst-env guix lint python2-pycurl

/home/natsu/src/guix/gnu/packages/python-web.scm:245:2: python2-pycurl@HIDDEN=
.0.1: line 251 is way too long (93 characters)


There is etc/indent-code.el to make life easier if you not Emacs user,
but I didn't check it myself.

https://www.gnu.org/software/guix/manual/html_node/Formatting-Code.html

> +       (sha256
> +        (base32 "1ali1gjs9iliwjra7w0y5hwg79a2fd0f4ydvv6k27sgxpbr1n8s3"))=
))
> +    (build-system python-build-system)
> +    (arguments `(#:python ,python-2)) ; no Python 3 support

Does it actually not support?  Requirements in documentation
<http://pycurl.io/docs/latest/> include Python 3.

> +    (native-inputs
> +     `(("python-nose" ,python-nose)
> +       ("python-bottle" ,python-bottle)))
> +    (inputs
> +     `(("curl" ,curl)
> +       ("gnutls" ,gnutls)))
> +    (home-page "http://pycurl.io/")
> +    (synopsis "Lightweight Python wrapper around libcurl")
> +    (description "Pycurl is a lightweight wrapper around libcurl. It pro=
vides
> +high speed transfers via libcurl and frequently outperforms alternatives=
.")

Another linter warning.

gnu/packages/python-web.scm:264:17: python2-pycurl@HIDDEN: sentences in d=
escription should be followed by two spaces; possible infraction at 46

> +    (license license:lgpl2.0)))

tar xf $(./pre-inst-env guix build -S python2-pycurl)

There are two files in licenses in source tarball COPYING-LGPL
COPYING-MIT.  The second (expat) license probably should be included in
the package recipe.

> +
>  (define-public python-webencodings
>    (package
>      (name "python-webencodings")
> --=20
> 2.15.1

Also there is a tests directory in source tarball.  Could you look on
them?  .travis.yml file in pycurl git repository could help
<https://github.com/pycurl/pycurl/blob/master/.travis.yml>

> From 8a71cee704727f80e4146ee87a06c462bf59a9c5 Mon Sep 17 00:00:00 2001
> From: Mark Meyer <mark@HIDDEN>
> Date: Sat, 16 Dec 2017 10:57:21 +0100
> Subject: [PATCH] gnu: python2-gobject-2: Update to 2.28.7
>
> * gnu/packages/glib.scm (python2-gobject-2): Update to 2.28.7.
> ---
>  gnu/packages/glib.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
> index de7427859..40d23e104 100644
> --- a/gnu/packages/glib.scm
> +++ b/gnu/packages/glib.scm
> @@ -543,7 +543,7 @@ useful for C++.")
>      (name "python2-pygobject")
>      ;; This was the last version to declare the 2.0 platform number, i.e=
. its
>      ;; pkg-config files were named pygobject-2.0.pc
> -    (version "2.28.6")
> +    (version "2.28.7")
>      (source
>       (origin
>         (method url-fetch)
> @@ -552,7 +552,7 @@ useful for C++.")
>                             "/pygobject-" version ".tar.xz"))
>         (sha256
>          (base32
> -         "1f5dfxjnil2glfwxnqr14d2cjfbkghsbsn8n04js2c2icr7iv2pv"))
> +         "0nkam61rsn7y3wik3vw46wk5q2cjfh2iph57hl9m39rc8jijb7dv"))
>         (patches (search-patches
>                   "python2-pygobject-2-gi-info-type-error-domain.patch"))=
))
>      (build-system gnu-build-system)
> --=20
> 2.15.1

LGTM

>
> From c36fde0cfda0d5f9830876abbff804504004451d Mon Sep 17 00:00:00 2001
> From: Mark Meyer <mark@HIDDEN>
> Date: Fri, 15 Dec 2017 12:35:38 +0100
> Subject: [PATCH] gnu: Add virtaal.
>
> * gnu/packages/text-editors.scm (virtaal): New public variable.
> ---
>  gnu/packages/text-editors.scm | 33 +++++++++++++++++++++++++++++++++
>  1 file changed, 33 insertions(+)
>
> diff --git a/gnu/packages/text-editors.scm b/gnu/packages/text-editors.scm
> index 44b42ce9b..773000ff4 100644
> --- a/gnu/packages/text-editors.scm
> +++ b/gnu/packages/text-editors.scm
> @@ -6,6 +6,7 @@
>  ;;; Copyright  2017 ng0 <ng0@HIDDEN>
>  ;;; Copyright  2014 Taylan Ulrich Bayrl/Kammer <taylanbayirli@HIDDEN>
>  ;;; Copyright  2017 Tobias Geerinckx-Rice <me@HIDDEN>
> +;;; Copyright  2017 Mark Meyer <mark@HIDDEN>
>  ;;;
>  ;;; This file is part of GNU Guix.
>  ;;;
> @@ -29,6 +30,7 @@
>    #:use-module (guix utils)
>    #:use-module (guix build-system gnu)
>    #:use-module (guix build-system glib-or-gtk)
> +  #:use-module (guix build-system python)
>    #:use-module ((guix licenses) #:prefix license:)
>    #:use-module (gnu packages)
>    #:use-module (gnu packages assembly)
> @@ -41,11 +43,42 @@
>    #:use-module (gnu packages lua)
>    #:use-module (gnu packages ncurses)
>    #:use-module (gnu packages pkg-config)
> +  #:use-module (gnu packages python)
> +  #:use-module (gnu packages python-web)
>    #:use-module (gnu packages regex)
>    #:use-module (gnu packages ruby)
>    #:use-module (gnu packages terminals)
>    #:use-module (gnu packages xml))
>=20=20
> +(define-public virtaal
> +  (package
> +    (name "virtaal")
> +    (version "0.7.1")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append "mirror://sourceforge/translate/Virtaa=
l/"
> +                                  version "/virtaal-" version ".tar.bz2"=
))
> +              (sha256
> +               (base32
> +                "0cyimjp3191qlmw6n0ipqdr9xr0cq4f6dqvz4rl9q31h6l3kywf9"))=
))
> +    (build-system python-build-system)
> +    (arguments
> +     `(#:python ,python-2
> +       #:use-setuptools? #f
> +       #:tests? #f))

Could you check tests in virtaal-0.7.1/virtaal/test/ please?

> +    (propagated-inputs
> +     `(("python2-pycurl" ,python2-pycurl)
> +       ("python2-pygtk" ,python2-pygtk)
> +       ("python2-lxml" ,python2-lxml)
> +       ("python2-translate-toolkit" ,python2-translate-toolkit)
> +       ("python2-simplejson" ,python2-simplejson)))
> +    (synopsis "An editor for translation files")

gnu/packages/text-editors.scm:75:14: virtaal@HIDDEN: no article allowed at t=
he beginning of the synopsis

> +    (description
> +     "Virtaal, a feature rich translation tool that allows you to focus =
on
> +translation, without the tool getting in the way.")
> +    (home-page "http://virtaal.translatehouse.org/")
> +    (license license:gpl2)))
> +
>  (define-public vis
>    (package
>      (name "vis")

Could't be it builded With Python 3?  I see in
<https://github.com/translate/virtaal/blob/master/.travis.yml> that they
use only python 2.7 and 2.7, but still?

Thanks,
Oleg.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEEc+OyAXw1EaDPCmAPckbhHGm3lWkFAlo1CEoACgkQckbhHGm3
lWnjbxAArfJQViRCK8iL4BFPDkTbCpWyBvD6id4LmliD/VkOiCl10YJsvAjvxveG
rZd1NKCKz9BlUlV5u3KAvqvoEOOoIgXNyOJQ/9v1BtzXfUwoP7yf45towvO7i/3u
QMnukh06jzSJkte9WUZn+TzO/KeQ9EbGPR7B1isX1/uCiRrTkzIFa0897peM1I7i
NZMRXW/EWwuVDjSHwvWCeJ4wI2nfKTA1GSgSWsTuEmXmtVqGFeeH6z5TRYHHEO9s
XBnOj5oeaNcWaHzZ+6NyhpAYR5qb41giZYAsUTSmApE91lyIwJiS4+WWgBvLRCQI
0EkAHU+ox+8Qv2reIEGTUFPey4K3qdztX07WqvzY2BMOY5X7ZuWSnqE63bsEsHl7
J2tbf0Tjl7Yiiwwj2bKedtuR4vfZoQU9kFncaWj50Sn8iiNIE2oqA3PWJj3O7x94
opMBDefNxq0CjLin+aWPu/gXDGzPKvb4gKwythdsnbik8lICR9Dk8PL013ebBrEx
JpAIFfu5dnRiaPgmY6AQ/h9LctHuSr//oD/oaG0m8gnR6MSJYYpCP+p+Qv/x5NqD
bNcLVq843ceYSJ5hGfUUfu8qy1UhMUXS39XRXvIS91Yhd7PPIH4+jiJieqkTeJ4L
JGtKoGqGUzh/BTaADbFcyOr1KxC5SlnjedAaPGPGiQ1siSn24u0=
=DJ7N
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Dec 2017 10:10:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 16 05:10:25 2017
Received: from localhost ([127.0.0.1]:36433 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eQ9QA-0000k1-5a
	for submit <at> debbugs.gnu.org; Sat, 16 Dec 2017 05:10:25 -0500
Received: from eggs.gnu.org ([208.118.235.92]:48348)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark@HIDDEN>) id 1eQ9Q3-0000jj-Mb
 for submit <at> debbugs.gnu.org; Sat, 16 Dec 2017 05:10:16 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1eQ9Pw-0001fS-Sl
 for submit <at> debbugs.gnu.org; Sat, 16 Dec 2017 05:10:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:35575)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mark@HIDDEN>) id 1eQ9Pw-0001eu-Nr
 for submit <at> debbugs.gnu.org; Sat, 16 Dec 2017 05:10:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39281)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1eQ9Pu-0000MB-K5
 for guix-patches@HIDDEN; Sat, 16 Dec 2017 05:10:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mark@HIDDEN>) id 1eQ9Pr-0001T6-0E
 for guix-patches@HIDDEN; Sat, 16 Dec 2017 05:10:02 -0500
Received: from out3-smtp.messagingengine.com ([66.111.4.27]:56435)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mark@HIDDEN>) id 1eQ9Pq-0001PK-NT
 for guix-patches@HIDDEN; Sat, 16 Dec 2017 05:09:58 -0500
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 84AFC2068B
 for <guix-patches@HIDDEN>; Sat, 16 Dec 2017 05:09:56 -0500 (EST)
Received: from web3 ([10.202.2.213])
 by compute3.internal (MEProxy); Sat, 16 Dec 2017 05:09:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ofosos.org; h=
 content-transfer-encoding:content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 mesmtp; bh=+bsjdlb4H7jHVdirmA1tF8/vi+l+YSu4P/U7O6cLNjw=; b=pCl4j
 1NQD9eydVrjc+3/s/yenK6+/4N5XZ0iZJIEuGIz/S4bXpJPa/FMx92lM2UQaAtjB
 s0BJ7twwNvWC1ZPUQTx+t+15tutBGO28aGlzHFQwQ3qkT+V3/2bjGMDXkY/iLFBo
 YpQEdbJ34FKK8nvdQ5YTXXMXI7xPBtMuLqVSaU=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-transfer-encoding:content-type
 :date:from:message-id:mime-version:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm1; bh=+bsjdlb4H7jHVdirmA1tF8/vi+l+Y
 Su4P/U7O6cLNjw=; b=WCZ79HM5W21T3UskRFPVTCxAzSCktI5a672j+cdQsKIft
 jViK5jvEjZvuJQZSqGF1E94/UVrU7rVZ1XoPU5DSYFEu2a+Lu8sT+q1ZlOQ2zEbI
 l2unpuVSyrPbBxerjh9YXJN+Z0zDvE+rJyUStOf9COOrnwZSkYieDymTtgjIjVYB
 m6igbSzKGbxImQl5mHSKFebVkBT4gWAVHOwNs3deklyYg+/6TLf/sbyH4L1RL1bE
 m7eKef9rZ68pctqdriENsxR3g3LkmJ3amfasHdFRaeAka52aTQS8LLu4gFqdaglD
 /xrKkqC3UR8HYgJbpLMtMgPq1yNaIuS3TLaPOPMQw==
X-ME-Sender: <xms:9PA0Wiae9eM773p5UWmu7ovA6w1ngrqD7b2ziNxOQwt93FGzW_sMrA>
Received: by mailuser.nyi.internal (Postfix, from userid 99)
 id 3DA389E29B; Sat, 16 Dec 2017 05:09:56 -0500 (EST)
Message-Id: <1513418996.2275632.1206998744.71939143@HIDDEN>
From: Mark Meyer <mark@HIDDEN>
To: guix-patches@HIDDEN
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: multipart/mixed; boundary="_----------=_151341899622756320"
X-Mailer: MessagingEngine.com Webmail Interface - ajax-9dc8bf78
Subject: Add virtaal (translation app)
Date: Sat, 16 Dec 2017 11:09:56 +0100
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.9 (/)

This is a multi-part message in MIME format.

--_----------=_151341899622756320
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset="utf-8"

Hi,
I just wanted to quickly have someone look over the following changes:

  - Add python2-pycurl adds pycurl (it's Py2 only)
  - Update python2-gobject-2 to 2.28.7 (the most recent, patch still
  seems to apply

    This update pulls in a lot of changes that were present in
    distrubutions for a long time

  - Add virtaal

    This just adds virtaal with proper dependencies.

Cheers, Mark

-- 
  Mark Meyer
  mark@HIDDEN

--_----------=_151341899622756320
Content-Disposition: attachment; filename="0001-gnu-Add-python2-pycurl.patch"
Content-Id: <1513418653.2274486.5ec7bbc67389eefb9361ca6116d213dabe4b9947.1C1B0566@HIDDEN>
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-python2-pycurl.patch"
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--_----------=_151341899622756320
Content-Disposition: attachment; filename="0001-gnu-python2-gobject-2-Update-to-2.28.7.patch"
Content-Id: <1513418704.2274631.e066be6e2c0ce508993b425df5321d187f72864d.72BE37BE@HIDDEN>
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-python2-gobject-2-Update-to-2.28.7.patch"

RnJvbSA4YTcxY2VlNzA0NzI3ZjgwZTQxNDZlZTg3YTA2YzQ2MmJmNTlhOWM1
IE1vbiBTZXAgMTcgMDA6MDA6MDAgMjAwMQpGcm9tOiBNYXJrIE1leWVyIDxt
YXJrQG9mb3Nvcy5vcmc+CkRhdGU6IFNhdCwgMTYgRGVjIDIwMTcgMTA6NTc6
MjEgKzAxMDAKU3ViamVjdDogW1BBVENIXSBnbnU6IHB5dGhvbjItZ29iamVj
dC0yOiBVcGRhdGUgdG8gMi4yOC43CgoqIGdudS9wYWNrYWdlcy9nbGliLnNj
bSAocHl0aG9uMi1nb2JqZWN0LTIpOiBVcGRhdGUgdG8gMi4yOC43LgotLS0K
IGdudS9wYWNrYWdlcy9nbGliLnNjbSB8IDQgKystLQogMSBmaWxlIGNoYW5n
ZWQsIDIgaW5zZXJ0aW9ucygrKSwgMiBkZWxldGlvbnMoLSkKCmRpZmYgLS1n
aXQgYS9nbnUvcGFja2FnZXMvZ2xpYi5zY20gYi9nbnUvcGFja2FnZXMvZ2xp
Yi5zY20KaW5kZXggZGU3NDI3ODU5Li40MGQyM2UxMDQgMTAwNjQ0Ci0tLSBh
L2dudS9wYWNrYWdlcy9nbGliLnNjbQorKysgYi9nbnUvcGFja2FnZXMvZ2xp
Yi5zY20KQEAgLTU0Myw3ICs1NDMsNyBAQCB1c2VmdWwgZm9yIEMrKy4iKQog
ICAgIChuYW1lICJweXRob24yLXB5Z29iamVjdCIpCiAgICAgOzsgVGhpcyB3
YXMgdGhlIGxhc3QgdmVyc2lvbiB0byBkZWNsYXJlIHRoZSAyLjAgcGxhdGZv
cm0gbnVtYmVyLCBpLmUuIGl0cwogICAgIDs7IHBrZy1jb25maWcgZmlsZXMg
d2VyZSBuYW1lZCBweWdvYmplY3QtMi4wLnBjCi0gICAgKHZlcnNpb24gIjIu
MjguNiIpCisgICAgKHZlcnNpb24gIjIuMjguNyIpCiAgICAgKHNvdXJjZQog
ICAgICAob3JpZ2luCiAgICAgICAgKG1ldGhvZCB1cmwtZmV0Y2gpCkBAIC01
NTIsNyArNTUyLDcgQEAgdXNlZnVsIGZvciBDKysuIikKICAgICAgICAgICAg
ICAgICAgICAgICAgICAgICIvcHlnb2JqZWN0LSIgdmVyc2lvbiAiLnRhci54
eiIpKQogICAgICAgIChzaGEyNTYKICAgICAgICAgKGJhc2UzMgotICAgICAg
ICAgIjFmNWRmeGpuaWwyZ2xmd3hucXIxNGQyY2pmYmtnaHNic244bjA0anMy
YzJpY3I3aXYycHYiKSkKKyAgICAgICAgICIwbmthbTYxcnNuN3kzd2lrM3Z3
NDZ3azVxMmNqZmgyaXBoNTdobDltMzlyYzhqaWpiN2R2IikpCiAgICAgICAg
KHBhdGNoZXMgKHNlYXJjaC1wYXRjaGVzCiAgICAgICAgICAgICAgICAgICJw
eXRob24yLXB5Z29iamVjdC0yLWdpLWluZm8tdHlwZS1lcnJvci1kb21haW4u
cGF0Y2giKSkpKQogICAgIChidWlsZC1zeXN0ZW0gZ251LWJ1aWxkLXN5c3Rl
bSkKLS0gCjIuMTUuMQoK

--_----------=_151341899622756320
Content-Disposition: attachment; filename="0001-gnu-Add-virtaal.patch"
Content-Id: <1513418977.2275602.a280ad2858bca236df302b49aaa4d32be57e7a5f.59763C11@HIDDEN>
Content-Transfer-Encoding: base64
Content-Type: text/x-patch; name="0001-gnu-Add-virtaal.patch"
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--_----------=_151341899622756320--





Acknowledgement sent to Mark Meyer <mark@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#29733; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 19 Mar 2018 08:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.